=== debian/control ===
Source: ros-kinetic-pyros-interfaces-ros
Section: misc
Priority: extra
Maintainer: AlexV <asmodehn@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin (>= 0.6.18), ros-kinetic-catkin-pip (>= 0.1.17), ros-kinetic-message-generation (>= 0.2.10), ros-kinetic-pyros-common (>= 0.5.3), ros-kinetic-pyros-config (>= 0.2.0), ros-kinetic-pyros-test (>= 0.0.6), ros-kinetic-pyros-utils (>= 0.1.3), ros-kinetic-pyzmp (>= 0.0.17), ros-kinetic-roslint (>= 0.10.0), ros-kinetic-rospy (>= 1.11.19), ros-kinetic-rosservice (>= 1.11.19), ros-kinetic-rostest (>= 1.11.19), ros-kinetic-rostopic (>= 1.11.19), ros-kinetic-rosunit (>= 1.11.12), ros-kinetic-std-msgs (>= 0.5.9)
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-pyros-interfaces-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-message-runtime (>= 0.4.12), ros-kinetic-pyros-common (>= 0.5.3), ros-kinetic-pyros-config (>= 0.2.0), ros-kinetic-pyros-utils (>= 0.1.3), ros-kinetic-pyzmp (>= 0.0.17), ros-kinetic-rospy (>= 1.11.19), ros-kinetic-std-msgs (>= 0.5.9)
Description: Dynamic ROS interface for Pyros
